## luametatex 2.10.08+ds

=== debian/changelog ===
luametatex (2.10.08+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1034501)

 -- Hilmar Preusse <hille42@web.de>  Tue, 18 Jul 2023 00:02:20 +0200
