## luametatex 2.11.01+ds

=== debian/changelog ===
luametatex (2.11.01+ds-2) unstable; urgency=medium

  * armel needs linking with libatomic too.

 -- Hilmar Preusse <hille42@web.de>  Tue, 20 Feb 2024 23:26:24 +0100

luametatex (2.11.01+ds-1) unstable; urgency=medium

  * New upstream release, refresh patches.
    - Should fix build failure on HURD.
    - Contains a local copy of potrace -> extend d/copyright.
    - Redo d/patches/no_strip.diff, stripping is configured in a
      different file.
  * Update d/gbp.conf.
  * Link luametatex with libatomic on m68k, powerpc and sh4. Should fix
    FTBFS on these arches.

 -- Hilmar Preusse <hille42@web.de>  Tue, 20 Feb 2024 08:23:29 +0000
