## luametatex 2.11.01+really2.10.08+ds

=== debian/changelog ===
luametatex (2.11.01+really2.10.08+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:14 +1100

luametatex (2.11.01+really2.10.08+ds-1) unstable; urgency=medium

  * Downgrade to 2.10.08 (Closes: #1064402).

 -- Hilmar Preusse <hille42@web.de>  Wed, 06 Mar 2024 23:18:47 +0100
