## luametatex 2.11.02+really2.11.01+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(luametatex VERSION 2.10 LANGUAGES C)
 
 set(CMAKE_C_STANDARD 11)
-# set(CMAKE_CXX_STANDARD 17)
+# set(CMAKE_C_STANDARD 17) # needs 3.21
 
 # https://sourceforge.net/p/predef/wiki/OperatingSystems/
 # https://sourceforge.net/p/predef/wiki/Architectures/
@@ -12,7 +12,7 @@
 
 # Optionals (maybe have a LMT_*_TOO for each of them). We might start out with only a very few
 # optionals at some time, but for now we enable them (there is not not much code involved). The 
-# idea behind thes eoptionals is that we have very simple (!) interfaces, delegating as much as 
+# idea behind these optionals is that we have very simple (!) interfaces, delegating as much as 
 # possible to Lua. We will *not* add interfaces with many bindings because that will introduce
 # dependencies (and looking at e.g. LuaTeX build updates shows that clearly: a no-go). 
 
@@ -24,9 +24,15 @@
 
 # set(LMT_OPTIMIZE 1)
 
+# This makes the binary some 135K smaller so it might become the default at some point which is 
+# nice (the smaller as runner the better). After all, we don't load external (Lua) libraries 
+# anyway. 
+
+set(LMT_STRIP 1)
+
 if (MSVC)
 
-    if (CMAKE_C_COMPILER_ID STREQUAL "Clang")
+    if (CMAKE_C_COMPILER_ID MATCHES "Clang")
 
         add_compile_options(
             -Wall
@@ -98,7 +104,8 @@
 
         # We always optimize ... symbols are not in the binary anyway so there is no advantage
         # (like when accessing Lua api functions). We could have an additional luametatex-lua.dll
-        # but that also creates a dependency (possible conflict).
+        # but that also creates a dependency (possible conflict). So just don't expect using 
+        # Lua libraries in luametatex. 
 
       # if (DEFINED LMT_OPTIMIZE)
             add_compile_options(
@@ -113,7 +120,7 @@
 
  else()
 
-    if (CMAKE_C_COMPILER_ID STREQUAL "Clang")
+    if (CMAKE_C_COMPILER_ID MATCHES "Clang")
 
         # why not -03
 
@@ -153,7 +160,7 @@
     #
     # add_definitions(-D__STDC_WANT_LIB_EXT2__=1)
 
-    if (DEFINED LMT_OPTIMIZE)
+    if ((DEFINED LMT_OPTIMIZE) OR (DEFINED LMT_STRIP))
         if (NOT (${CMAKE_SYSTEM_NAME} MATCHES "Darwin"))
             set(CMAKE_EXE_LINKER_FLAGS "-s")
         endif()
@@ -161,7 +168,7 @@
 
 endif()
 
-if (CMAKE_C_COMPILER_ID STREQUAL "Clang")
+if (CMAKE_C_COMPILER_ID MATCHES "Clang")
 
     add_compile_options(
         -Wno-unknown-warning-option
@@ -182,6 +189,10 @@
         -Wno-date-time
         -Wno-format-nonliteral
         -Wno-float-equal
+      # too noisy, we just look at what gcc reports 
+        -Wno-unsafe-buffer-usage
+        -Wno-macro-redefined
+        -Wno-undef
     )
 
 endif()
@@ -260,5 +271,6 @@
 include(cmake/pplib.cmake)
 include(cmake/miniz.cmake)
 include(cmake/softposit.cmake)
+include(cmake/potrace.cmake)
 
 include(cmake/luametatex.cmake)
