=== debian/changelog ===
luametatex (2.11.02+really2.11.01+ds-1build1) plucky; urgency=medium

  * No-change rebuild for libmimalloc3.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 27 Jan 2025 16:45:30 +0000
