=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: luametatex
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
-Uploaders: Hilmar Preusse <hille42@web.de>
+Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Uploaders: Hilmar Preuße <hille42@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,6 +15,7 @@
 
 Package: luametatex
 Architecture: any
+Breaks: context (<< 2025)
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
